---
id: dimension-value-write
title: "Update a dimension value"
description: "Updates a dimension value."
sidebar_label: "Update a dimension value"
hide_title: true
hide_table_of_contents: true
api: eJy1VtuO2zYQ/RVhnhKAsffWSwTsg5tt0e1DUGyc5GFhLGhpLDGRSC45WscV+O/FULYsX+BN0c2LLZFDzsyZc2bUQo4+c8qSMhpS+GhzSegTmeSqRu2V0cmTrBocgQBj0Uk2vM0hhd7gIRqkS6cIQQDJwkN6Dzf9BZ94H2YCrHSyRkLHBi0o9mgllSBAyxqHl97mIMBnJdYS0hZoZXlbacICHQQBDh8b5TCHlFyDYi+PaYnJ7U1iFgmVuM2Fs8BvsrYVQnpxefVTEEfDUD/E+xbJPobzi8urMOvuQ0+/mXzFDjOjCTXxo7S2UlmEffzF8/XtYWRm/gUzAgHWcZFIoefdLpveypNTuoBj0bLl98QLN/iElbE1RxcEeJLU+O/z0dme8qKbmpkjM1JPTCWl14+zYQjrtRAEkKK45BpNqsaHzOiFKpqOpQ97DP0cCRoCH/SYNU7RKvJwjtKhmzRUQno/68rhrdG+Q/Hi7Iz/DhPq9ZAspU98k2Xo/aKpQLxUAVV+hH772E4Sv/KE9ZulyjFptHpsIv0cWoceNSldRMgPy/n2119+DuJH8OQDyYIv+R8cUT5Z1zXZqesLUEeAr5ri+ZAmSbdxiOXJ5P02ee30827e371PXklKjEvmWJnl62RZosNjjpJIJ/S7Do0rpFb/RHiuz1OZZabRdH2Rcr28lRleX6YDIl5f/Xf5ROUEATVSafKuZWbcM2PrTGHc24/bQRsP43h63Ko8cFNF97Tp/42rIIWSyPp0PJZWjXRTVbaStDCuHmWmBhbjRqsfWDSdLoaK7cHlizZtm987IxDrhz+MqyVBCn99nsbsWYx32777+wbNTd/c6XVbGg9IpPTCsD1n1FXyfHQ2OoMtsv0Q9Gxvjada6oGLbt4ejtt9igxGwukZvcaC8BuNbSWVZr8R6HZdqPvtkAUB6e7E3ThPVc7KKY0nPtG2c+nxo6tC4OXHBh23zhkfcErOOdf7FnLl+TmHdCErvz8Whzm8ulsP0NfJiVF9NJn1otSrPt4UQMBXXO19QPBwf8mQnkH5dGAqhzALAkqUOboIV7fxrovgzZSPbw8ejA3OpjsxyTK0dNJ2NtDp35Ppuz9ZBuuPi9rkUfRyCSL+xihNhCSqK661UEldNLJg2+5SFo3c1dyexmJaR3Fo285iar6iDqGHhfidkQnhX+BTpcY=
sidebar_class_name: "patch api-method"
info_path: docs/api/dimensions
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Update a dimension value"}
>
</Heading>

<MethodEndpoint
  method={"patch"}
  path={"/dimension/{dimensionId}/value/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Updates a dimension value.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"dimensionId","schema":{"type":"integer"},"required":true,"description":"The ID of the dimension.","example":2345},{"in":"path","name":"id","schema":{"type":"integer"},"required":true,"description":"The ID of the dimension value.","example":1234}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the dimension value.","example":"Development"},"status":{"type":"string","description":"The status of the dimension value.","enum":["active","inactive"],"example":"active"}},"title":"runtime_configuration_dimension_valueWrite"}}}}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"A system-wide unique ID representing the value.","example":9876},"name":{"type":"string","description":"The name of the dimension value.","example":"Staging"},"status":{"type":"string","description":"The status of this runtime configuration dimension value.","enum":["active","inactive"],"example":"active"},"slug":{"type":"string","description":"A string representing the dimension value.","example":"staging"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension value applies.","example":"organization=1:account=2:namespace=3:application=4"}},"title":"runtime_configuration_dimension_value"}}}}}}
>
  
</StatusCodes>


      